Description

Supportanfrage

bei ADTF2 war es möglich Subkonfigurationen in eigene xml-Files zu definieren und dieses mittels „include“ in der system.xml

einzubinden.

Gibt es diese Möglichkeit in ADTF3 auch?

Lösung

Ja gibt es, seit ADTF 3.8.0

https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_8_0.html

Hier wirst du dann auf den Session Editor verwiesen, das sollte selbsterklärend sein:

https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#session_editor

Du kannst die eingebunden (generischen) Graphen dann auch von außen mittels Graph Properties bedaten, siehe:

https://support.digitalwerk.net/adtf/v3/guides/sdk_properties_filter.html#graph_properties

History

#1 - 2020-11-16 18:15 - hidden

- Project changed from Public Support to 20

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::FilterGraph

- Customer set to VW

- Department set to IAV

Hallo Hendrik,

ja gibt es, seit ADTF 3.8.0

https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_8_0.html

Hier wirst du dann auf den Session Editor verwiesen, das sollte selbsterklärend sein:

https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#session_editor

Du kannst die eingebunden (generischen) Graphen dann auch von außen mittels Graph Properties bedaten, siehe:

https://support.digitalwerk.net/adtf/v3/guides/sdk_properties_filter.html#graph_properties
Hallo,
vielen Dank für die schnelle Antwort. Das Feature funktioniert wunderbar.

In der .adtfsession Datei, die ich importiere, sind die Dateien .adtfsystem sowie .adtfproperties für graph und system angegeben. Diese Dateien

beziehen sich ja auf die zu importierende Session.

Wie verhält sich ADTF, wenn die dort angegbenen Eisntellungen, Links usw. anders sind als in der importiernden Session?

Kann ich evtl, in der Session die ich importieren will die system Dateien entfernen, um Fehlerquellen auszuschließen?

Viele Grüße,

Hendrik

#3 - 2020-11-18 17:08 - hidden

Hallo Hendrik,

der include funktioniert so, dass die Settings zwar abhängig zur includierten Session sind, aber on the fly auf deine Session optimiert werden.

Du brauchst hier nichts anpassen.

Wenn die include Session standalone funktioniert, dann inkludierst du sie quasi als Blackbox und läuft.

Wenn du etwas anzupassen hast, dann via den linked graph properties.

#4 - 2020-11-23 17:26 - hidden

- Project changed from 20 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
